#ifndef PM_FSWRAP_H
#define PM_FSWRAP_H

#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include <parted/parted.h>

gboolean do_ntfsresize(PedDevice **dev, int part_nr, PedSector old_end, gchar *path, PedSector start, PedSector end);

gboolean do_mkntfs(PedDevice **dev, PedPartitionType part_type, 
		      PedSector start, PedSector end);

gboolean pm_wrap_mkntfs_available();
gboolean pm_wrap_ntfsresize_available();
gboolean pm_wrap_mkext3_available();
gboolean pm_wrap_mkxfs_available();
gboolean do_mkxfs(PedDevice **dev, PedPartitionType part_type, 
		      PedSector start, PedSector end);
gboolean do_mkext3(PedDevice **dev, PedPartitionType part_type, 
		      PedSector start, PedSector end);
gboolean do_mkntfs(PedDevice **dev, PedPartitionType part_type, 
		      PedSector start, PedSector end);

#endif // PM_FSWRAP_H
